package com.benyun.core.service.impl;

import com.benyun.core.dao.WdTopologicalDao;
import com.benyun.core.entity.WdTopological;
import com.benyun.core.service.WdTopologicalService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional
public class WdTopologicalServiceImpl implements WdTopologicalService {
    @Autowired
    WdTopologicalDao wdTopologicalDao;

    @Override
    public void insertList(List<WdTopological> list) {
        for (WdTopological wdTopological : list) {
            wdTopologicalDao.insertWdTopological(wdTopological);
        }
    }

    @Override
    public List<WdTopological> selectWdTopologicalListById(String centerWdId) {
        return wdTopologicalDao.selectWdTopologicalListById(centerWdId);
    }
}
